package v2template_request

import (
	"private-go-sdk/http"
	"encoding/json"
)

type V2TemplateDetailRequest struct {
	// 【模板id】模板id 【作用】 可通过2种方式获取： 1、在电子签章平台找到模板并复制模板ID 2、通过如下接口路径可获取模板ID 1）<docs>/v2/template/group</docs> 2）<docs>/template/list</docs>
	Id string `json:"id"`
}
func (obj V2TemplateDetailRequest) GetUrl() string {
    return "/v2/template/detail"
}

func (obj V2TemplateDetailRequest) GetHttpParameter() *http.HttpParameter {
    parameter := http.NewPostHttpParameter()
    jsonBytes, _ := json.Marshal(obj)
    parameter.SetJsonParamer(string(jsonBytes))
    return parameter
}
